Linux installer for calibre 1.26 does not work on CentOS 6.5

Bug #1286011 reported by G. Franke on 2014-02-28
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

The new Linux-installer used for calibre 1.26 requires at least Python 3.2.
This is because the attribute 'source_address' of class HTTPSConnection was introduced with that version.
As CentOS 6.5 uses Python 2.6 the installation fails with:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "<string>", line 634, in main
  File "<string>", line 596, in download_and_extract
  File "<string>", line 588, in get_tarball_info
  File "<string>", line 556, in get_https_resource_securely
  File "<string>", line 478, in connect
AttributeError: HTTPSConnection instance has no attribute 'source_address'

G. Franke (g-franke) on 2014-02-28
description: updated

source_address was added in python 2.7 not 3.x, which was released
almost four years ago. However, I will investigate if supporting python
2.6 is possible.

Fixed in branch master. The fix will be in the next release. calibre is usually released every Friday.

 status fixreleased

Changed in calibre:
status: New → Fix Released

I have already implemented the fix, just re-run the install command and
you should be fine.

G. Franke (g-franke) wrote :

Works now. Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers